import { CipherService } from '../helper/cipher.service';
import { PrismaService } from '../helper/prisma.service';
import { Injectable } from '@nestjs/common';
import { UserEntity } from './models/entities/user.entity';

@Injectable()
export class AuthService {
  constructor(
    private readonly prismaService: PrismaService,
    private readonly cipherService: CipherService,
  ) {}

  async invalidateTokens(user: UserEntity): Promise<void> {
    await this.prismaService.users.update({
      where: {
        id: user.id,
      },
      data: {
        token_id: this.cipherService.generateRandomBytes(),
      },
    });
  }
}
